---
version: "2.1"
services:
  jellyfin:
    image: lscr.io/linuxserver/jellyfin:10.10.6
    container_name: jellyfin
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Shanghai
      - JELLYFIN_PublishedServerUrl=https://tv.mstars.xyz:3344 #optional
    volumes:
      - /opt/docker-data/linuxserver-jellyfin/config:/config
      - /opt/docker-data/linuxserver-jellyfin/tvseries:/data/tvshows
      - /mnt/movies:/data/movies
    ports:
      - 8096:8096
      - 8920:8920 #optional
      - 7359:7359/udp #optional
      - 1900:1900/udp #optional
    devices:
      - /dev/dri/renderD128:/dev/dri/renderD128 #optional
    restart: unless-stopped

#http://<your-ip>:8096